.badge[data-ext] { background:  rgb(158, 180, 187)!important; }
.badge[data-type="dossier"] {background-color: rgba(13,110,253)!important; }
.badge[data-name=".git"] {background-color: rgb(13, 53, 253)!important; }
.badge[data-name=".gitignore"] {background-color: rgb(255, 175, 254)!important; }
.badge:is([data-ext="md"],[data-ext="txt"]) {background-color: rgb(206, 218, 154)!important; }
.badge[data-type="image"] {background: #f4906c !important;}
.badge[data-type="style"] {background: #83e45a !important;} 
.badge[data-type="html"] {  background: #e4e457 !important;} 
.badge[data-name="index.html"] {    background: #e6e624 !important; border: 2px solid #cbb854;} 
.list-group-item:has([data-ext="isfolder"]) {  background: #f7f7ff;}.icon_liste {  margin-right: 0.8rem;  color: #000;}
.list-group-item .badge { min-width: 70px;    margin-right: 20px !important; }
.list-group-item .badge {  padding: 2px 0 4px 0;  line-height: 1.2em;  position: relative;  top: -2px;}
.list-group-item .sep { padding: 0 10px; } 
#home_choose_folder {  margin-bottom: 0.7rem !important;}
#toplinks {  margin-left: 1rem;   margin-top: 18px;}
.is_repo #toplinks {  margin-top: 5px;}
#toplinks a + a {  margin-left: 0.5rem;}
#top_nav_fr {float: right;}
#matrix_chat_link {  padding: 5px !important;  line-height: 1.7rem;  margin-right: 9px;}
#view-toggle:checked ~ .view-dropdown, #view-toggle:not(:checked) ~ .view-list { display: none;}
.form-check-input:checked[type="checkbox"] ~ .btn.btn-primary {  margin-top: 20px;}
.wrapperli .bg-secondary { background: #e2e2e2 !important; }
.wrapperli { padding-top: 1rem; margin: 1rem 0 -20px 0; }
.view-list.wrapperli {  margin-top: 1rem;}
.view-dropdown.wrapperli + .btn.btn-primary {  margin-top: 2rem;}
.alert-folder { background: #d3fccf; width: 100%; }
form[action="/create-folder"] :is(.btn.btn-primary, #folder) {  float: left;  margin-right: 10px;}
form:is([action="/create-folder"], [action="/create-file"]) input {      max-width: 370px; }
form[action="/create-folder"] .form-label {  float: none;  display: block;}
#exemple_newfolder {   padding-top: 5px;  padding-right: 1rem;}
.wrapcreator {  padding-top: 10px;}
#folder_content {  margin-top: -10px;  margin-bottom: 5rem;  float: none; clear: both;}
#folder_content.is_repo {  margin-bottom: 0;}
.zenmod #folder_content { margin-bottom: 1rem; }
#wrapper_send_file {  float: right;  margin-top: -3rem;}
#exemple_newfolder_clone { text-align: right;  float: right;  display: inline-block;}
#exemple_newfolder_clone_left {  display: inline-block;  float: none;  text-align: left;}
/* form[action="/folder-clone"] { max-width: 940px; } */
/* .form-control[name="subfolder"] {max-width: 410px;} */
.alert.alert-info.mt-4.wrapcreator {  display: block;  clear: both;  float: left;  width: 100%;}
#new_folder_form {  float: left;  width: 100%; }
.wrapcreator:last-child { margin-bottom: 3rem;}
.alert-principal {  background: #ffe1e1;}
.doss_principale { margin-bottom: 8px;}
code {  background: #e8e8e8;  padding: 3px;  color: #000;}
.list-group-numbered > .list-group-item::before { font-size: 10px; float: none; width: 1rem; display: inline-block; text-align: right; margin-left: -11px; margin-right: 10px; }
.wrap_rliste { float: none;  margin-left: 20px; }
.list-group-item:not(:hover) a {  text-decoration: none;}
.text-muted.emptyfolder { margin-top: 2rem;}
.text-muted.emptyfolder::before { display: none; }
#folder_content:has(.text-muted.emptyfolder) { margin-top: 0; margin-bottom: 44px; }
.list-group-item.text-muted.emptyfolder { margin-top: 0; }
a[data-login]::after {  content: attr(data-login);  color: #000;  text-decoration: none !important;  border: none;  line-height: 2em;  vertical-align: bottom;  font-size: 14px;}a[data-login] {  text-decoration: none !important;}
#committext {  font-family: serif;  margin: 0.1rem 0 0.5rem 0;  display: block;  font-size: 0.9em !important;}
.comitwrap {  font-size: 1.1em;} 
#top_links {   width: fit-content;   float: none;   display: inline-block; } 
#nav_top {   margin-bottom: 3rem }
#form_dropdown_top_little { width: 200px;font-size: 14px;   float: right;  padding: 3px 0px 3px 14px;  font-family: sans-serif;  font-weight: 440;}
.view-dropdown.wrapperli.alert.alert-principal.mb-2.wrapcreator.mini {float: right;  padding: 4px 4px 0px 9px;font-size: 18px;   margin-top: -3px; }
.view-dropdown.wrapperli.alert.alert-principal.mb-2.wrapcreator.mini .doss_principale {margin-right: 8px;font-size: 18px;}
#messagebox {  background: #fff8be;  padding: 1rem 1rem;  margin-top: 3rem;   border: 1px solid #fff17f; }
body[data-title="Code ArTeC, Acceuil / Dossiers"] #messagebox {  margin-top: 2rem;}
#messagebox.inpage {  margin: 2rem 0 3rem 0 !important;  display: block;  padding: 0.6rem 1rem;} 
#messagebox.inp_bottom {  display: block;   width: 100%;   clear: both;float: left !important;}
.card.mt-4 + #wrap_create_filefolder {  margin-top: 2rem;}
#messagebox i.bi.bi-cassette-fill::after {content: "Message :";font-style: normal;padding-left: 5px;}
#messagebox i.bi {padding-bottom: 0.1rem;display: block;}
#messagebox p:last-child {  margin: 0;}
#message-files {  background: #fff498;  padding-bottom: 0;  }
#message-files label {  height: 1em;  display: block;  margin-bottom: 12px;}
#message-files i.bi.messfiles::after {content: "Fichiers :";font-style: normal;padding-left: 5px;}
#message-files .bi.bi-file-text.messfiles {  position: relative;  left: -22px;  height: 1.4em;  display: block;  width: 100%;  background: transparent;  margin-bottom: 10px;  float: left;}
.messfiles {  list-style: conic-gradient;  margin-left: 18px;}
.homeli.messfiles button {  padding: 3px 5px 2px 5px;  margin: 0;  border: 1px solid #999;  font-size: 0.6em;  line-height: 1em;}
#done:target #message-files::before {  content: "Fichier copié !";  position: absolute;  top: 10px;  left: 270px;  background: #00ff1c;  padding: 10px;  line-height: 0.7em;  border-radius: 4px;}
.list-group-item .btn.btn-sm {  float: right;}
#messagebox {  clear: both;  float: none !important;}
form[action="/delete-file"] .alert.alert-danger {  width: 100%;}
:is(.alert.alert-folder, .alert.alert-danger) button:not(.fl) {  margin-top: 10px !important;}
#filename {  /* max-width: 600px; */  float: left;  clear: left;}
form[action="/create-file"] button {  margin-top: 0 !important;  margin-left: 0.6rem;  float: left;}
.form-label[for="filename"] {  float: left; }
.float-left { float: left;}
.float-right { float: right;}
#new_file_form, #new_folder_form {  min-height: 155px;width: calc(50% - 10px) !important; }
#new_file_form {  float: right;}
:is(li.is_folder .btn[title="vscode"], #top_editor, .folder_vsc_open):not(:hover) {  background: #ddfaff;}
#download_all_message_images:not(:hover) {  background: #ffda4b; color: #000 !important;}
#toplinks .btn {  margin-top: -15px; }
#toplinks a { text-decoration: none;}
#copy_btn {  border: 0;  margin-left: 3px;  margin-right: 1px;  background: transparent !important;  color: var(--bs-blue);}
.active_copied {  background: #d1ffd6;}
form[action="/copy-message-file-all"] button {  float: right;  margin-top: -30px; position: absolute; margin-left: -50px;}
.gitlistlogo.btn.btn-sm.btn-outline-primary, .gitlistlogo.btn.btn-sm.btn-outline-primary:hover {  background: transparent !important;  border: 0; color: var(--bs-btn-color);}
#fileEditorPre {  position: relative;  display: block;  width: 100%;  margin: 0;  overflow: auto  font-size: 14px;    tab-size: 3;  line-height: 1.4em;}
.line-numbers-rows {  line-height: 1.4em;}
#fileEditorTextarea code {  background: #fffdeb !important;}
#fileEditorPre {  background: #fffdeb !important;} 
#fileEditorTextarea {   background: transparent; }
.unselectable {user-select: none;}
.noacess {  filter: contrast(1) grayscale(1) brightness(0.9);  user-select: none;}
#lastcomituser {  line-height: 1.3em;  display: block;  font-size: 13px;}
.list_filelink:hover:after {  content: " (voir)";  position:absolute;}
.list_filelink:hover::after {  content: "(afficher)";  position: absolute;  margin-left: 10px;  font-size: 0.8em;  padding-top: 0.3em;}
.modal-lg, .modal-xl {  --bs-modal-width: 96vw;}
.btn.folder_right .icon_liste {  margin-right: 0;  color: var(--bs-btn-color);}
.btn.folder_right:hover .icon_liste {color: #FFF;}
* { transition: none !important; }

@media (max-width: 900px) {
  .container, .container-sm {
    max-width: none !important;
    width: 100% !important;
    margin: 0 !important;
  }
  #wrap_create_filefolder .d-flex {
    display: block !important;
    float: none;
    height: 100%;
    min-height: auto;
    clear: both;
    width: 100% !important;
  }
  .wrapcreator:not(#message-files, .view-dropdown) {
    height: 100%;
    display: block;
    float: left;
  }
}
html.zenmod .hideonzen {
  display: none !important;
}
/* /// Clipering */
#done.loading {
  display: none;
}
.zenmod #toggle_zen {
  border-color: #197300;
  color: #197300;
  background: #f1ffdc;
}